#### 3.18.15 FT32 Options

These options are defined specifically for the FT32 port.

`-msim`

  Specifies that the program will be run on the simulator. This causes an alternate runtime startup and library to be linked. You must not use this option when generating programs that will run on real hardware; you must provide your own runtime library for whatever I/O functions are needed.

`-mlra`

  Enable Local Register Allocation. This is still experimental for FT32, so by default the compiler uses standard reload.

`-mnodiv`

  Do not use div and mod instructions.

`-mft32b`

  Enable use of the extended instructions of the FT32B processor.

`-mcompress`

  Compress all code using the Ft32B code compression scheme.

`-mnopm`

  Do not generate code that reads program memory.